From: "Lucio Sauer" <watermanpaint@posteo.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: media-libs/dr_mp3/
Date: Tue, 24 Dec 2024 16:09:52 +0000 (UTC) [thread overview]
Message-ID: <1735056364.c41f3a981c28d1f0d5210ed8918aa99d24200b88.watermanpaint@gentoo> (raw)
Message-ID: <20241224160952.uKWZ1L2kw69LTAyE4puLdMs4LgPgnPCX98CkDTEEmfs@z> (raw)
commit: c41f3a981c28d1f0d5210ed8918aa99d24200b88
Author: Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
AuthorDate: Tue Dec 24 15:52:47 2024 +0000
Commit: Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
CommitDate: Tue Dec 24 16:06:04 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=c41f3a98
media-libs/dr_mp3: add 0.6.40
Signed-off-by: Lucio Sauer <watermanpaint <AT> posteo.net>
media-libs/dr_mp3/Manifest | 1 +
media-libs/dr_mp3/dr_mp3-0.6.40.ebuild | 61 ++++++++++++++++++++++++++++++++++
2 files changed, 62 insertions(+)
diff --git a/media-libs/dr_mp3/Manifest b/media-libs/dr_mp3/Manifest
index 49d19c319..bae5ea08e 100644
--- a/media-libs/dr_mp3/Manifest
+++ b/media-libs/dr_mp3/Manifest
@@ -1 +1,2 @@
DIST dr_mp3-0.6.39.gh.tar.gz 518741 BLAKE2B 4ce05d125597605a0274216e95c5b76754a04ebb363234f262f65fb4f0352cd58008ef9ac816ba13fc6386d4673c677d387e18fa5925d55c63308a63ec0260c1 SHA512 3bbdba77abc321eddd5e43d2bae778b220565331ff3d8cee9c4b82baf1aacaa6a6d6ac440c562c4f32feac884963364409016db3d04833f86ae5ee4b324e3c2f
+DIST dr_mp3-0.6.40.gh.tar.gz 519154 BLAKE2B 7ec2c44fca62f78d3e385894d38a7d8963d251f27fd5cb280bf6c27164a9d9ff0fbbf99bb54e5a96476a6afa6f0b15f7758792945555db443df844cc3315b3ba SHA512 9d4e4e45eb26790ed121b61cd2ec804c3cd73b2dc03a2358ddcc41c596e778e7de1cc664b57c00c35ebed62891413f156d457fc75b0d69682f10dcb7e1de97d8
diff --git a/media-libs/dr_mp3/dr_mp3-0.6.40.ebuild b/media-libs/dr_mp3/dr_mp3-0.6.40.ebuild
new file mode 100644
index 000000000..0a2a32c1f
--- /dev/null
+++ b/media-libs/dr_mp3/dr_mp3-0.6.40.ebuild
@@ -0,0 +1,61 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit edo toolchain-funcs
+
+COMMIT="37a5ffb671a4465cfefc7ba8ce7e8ae298612e5a"
+
+DESCRIPTION="Single-header MP3 audio decoder library"
+HOMEPAGE="https://github.com/mackron/dr_libs/"
+SRC_URI="https://github.com/mackron/dr_libs/archive/${COMMIT}.tar.gz -> ${P}.gh.tar.gz"
+
+S="${WORKDIR}/dr_libs-${COMMIT}"
+
+LICENSE="|| ( MIT-0 public-domain )"
+SLOT="0"
+KEYWORDS="~amd64"
+
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Unfortunately, the only other test is interactive.
+TESTCASES=(
+ dr_mp3_test_0.c
+)
+
+src_prepare() {
+ awk '/Introduction/,/\*\//' dr_mp3.h | sed '$d' > README
+ assert
+ awk '/REVISION HISTORY/,/\*\//' dr_mp3.h | sed '$d' > CHANGELOG
+ assert
+ default
+}
+
+src_compile() {
+ if use test; then
+ local MY_{CC,BUILD}
+ MY_CC=$(tc-getCC)
+
+ pushd tests > /dev/null || die
+ for tcase in ${TESTCASES[@]}; do
+ MY_BUILD="${MY_CC} mp3/${tcase} -o bin/${tcase} ${CFLAGS} ${CPPFLAGS}"
+ edo ${MY_BUILD}
+ done
+ popd || die
+ fi
+}
+
+src_test() {
+ pushd tests > /dev/null || die
+ for tcase in ${TESTCASES[@]}; do
+ edo bin/${tcase}
+ done
+ popd || die
+}
+
+src_install() {
+ einstalldocs
+ doheader dr_mp3.h
+}
next reply other threads:[~2024-12-24 16:09 UTC|newest]
Thread overview: 10+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-12-24 16:18 Lucio Sauer [this message]
2024-12-24 16:09 ` [gentoo-commits] repo/proj/guru:dev commit in: media-libs/dr_mp3/ Lucio Sauer
-- strict thread matches above, loose matches on Subject: below --
2025-01-02 19:26 [gentoo-commits] repo/proj/guru:master " David Roman
2024-12-24 16:18 Lucio Sauer
2024-03-02 14:26 David Roman
2024-03-02 14:26 David Roman
2024-03-02 14:26 David Roman
2024-03-02 7:10 Arthur Zamarin
2024-03-02 7:10 Arthur Zamarin
2024-02-25 10:02 Viorel Munteanu
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1735056364.c41f3a981c28d1f0d5210ed8918aa99d24200b88.watermanpaint@gentoo \
--to=watermanpaint@posteo.net \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox